This page was not yet optimized for use on mobile devices.
Huawei S5720-EI Series Switches
Certificate details
| Certificate ID | #2971 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 27.07.2017 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocol SNMP shall not be used when operated in FIPS mode. |
| Exceptions |
|
| Description | The S5720 series Ethernet switches are next-generation energy-saving switches developed by Huawei to meet the demand for high-bandwidth access and Ethernet multi-service aggregation. Based on cutting-edge hardware and Huawei Versatile Routing Platform (VRP) software, the S5720 provides a large switching capacity, high reliability (double power slots and hardware Ethernet OAM), and high-density GE ports to accommodate 10 Gbit/s upstream transmissions. The S5720 is available in a lite (LI) series, a standard (SI) series, an enhanced (EI) series, and a hyper (HI) series. |
| Version (Hardware) | S5720-36C-EI-28S-AC P/N 02359503 Version M.2, S5720-36C-EI-AC P/N 02359562 Version M.2, S5720-56C-EI-AC P/N 02359504 Version K.2, S5720-36C-PWR-EI-AC P/N 02359573 Version L.3 and S5720-56C-PWR-EI-AC P/N 02359576 Version L.2 all with Tamper Seals P/N 4057-113016 and External Baffle P/N 99089JEB |
| Version (Firmware) | V200R010C00SPC900B900 |
| Vendor | Huawei Technologies Co., Ltd. http://www.huawei.com |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-256, AES-128, AES, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256Asymmetric Algorithms
RSA 2048, ECDSA, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA256, SHA-384, SHA-512, SHA-2, MD5Schemes
Key Exchange, Key exchange, Key AgreementProtocols
SSH, SSHv2, SSHv1, TLS, IPsec, VPNRandomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, CTRTLS cipher suites
TLS_RSA_WITH_AES_256_SHA, TLS_RSA_WITH_AES_128_SHA, TLS_DHE_RSA_WITH_AES_256_SHA, TLS_DHE_DSS_WITH_AES_256_SHA, TLS_DHE_RSA_WITH_AES_128_SHA, TLS_DHE_DSS_WITH_AES_128_SHA, TLS_RSA_WITH_DES_CBC_SHA, TLS_RSA_WITH_RC4_128_MD5, TLS_RSA_WITH_RC4_128_SHA, TLS_RSA_WITH_NULL_MD5, TLS_RSA_WITH_NULL_SHAVendor
Broadcom, Huawei, Huawei Technologies CoStandards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, SP 800-38A, SP 800-133, SP 800-135, SP 800-90A, SP 800-38F, SP 800-67, SP 800-90, RFC 4303, RFC 6379, RFC 4511, RFC 2865, RFC 4254, RFC 5246, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2971,
"dgst": "4c3c3282e2050f66",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#2924",
"#2380",
"Triple-DES#2372",
"#1057",
"SHS#3627",
"ECDSA#1057",
"RSA#2380",
"DSA#1175",
"#1418",
"HMAC#2924",
"#4400",
"CVL#1107",
"KTS#2372",
"KTS#2924",
"#2372",
"#1175",
"AES#4400",
"DRBG#1418",
"#3627"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"3",
"02359504",
"02359562",
"113016",
"2",
"4057",
"02359576",
"02359573",
"02359503"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 5
}
},
"FF": {
"DH": {
"DH": 16,
"Diffie-Hellman": 6
},
"DSA": {
"DSA": 18
}
},
"RSA": {
"RSA 2048": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CTR": {
"CTR": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 3
}
},
"crypto_protocol": {
"IPsec": {
"IPsec": 2
},
"SSH": {
"SSH": 35,
"SSHv1": 1,
"SSHv2": 4
},
"TLS": {
"TLS": {
"TLS": 34
}
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"KEX": {
"Key Exchange": 1,
"Key exchange": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 6,
"P-384": 6,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 5,
"#10": 2,
"#1057": 1,
"#1175": 1,
"#12": 3,
"#13": 5,
"#1418": 2,
"#16": 3,
"#2": 5,
"#2372": 1,
"#2380": 1,
"#2924": 1,
"#3": 3,
"#3627": 1,
"#4": 3,
"#4400": 1,
"#5": 5,
"#6": 2,
"#8": 3,
"#9": 5
}
},
"fips_certlike": {
"Certlike": {
"AES (#4400": 1,
"AES-128": 7,
"AES-256": 10,
"DRBG (#1418": 1,
"DRBG (Cert. #1418": 1,
"DRBG 3": 1,
"DSA (#1175": 1,
"DSA (2048": 5,
"HMAC (#2924": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-1-96": 4,
"HMAC-SHA-256": 2,
"RSA 2048": 1,
"SHA 1": 3,
"SHA-1": 25,
"SHA-1/256": 6,
"SHA-2": 9,
"SHA-256": 12,
"SHA-384": 3,
"SHA-512": 3,
"SHA256": 3,
"SHS (#3627": 1
}
},
"fips_security_level": {},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"SHA": {
"SHA1": {
"SHA-1": 26
},
"SHA2": {
"SHA-2": 9,
"SHA-256": 12,
"SHA-384": 3,
"SHA-512": 3,
"SHA256": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 9
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 46,
"FIPS 180-4": 1,
"FIPS 186-4": 3,
"FIPS 197": 1,
"FIPS 198-1": 1
},
"NIST": {
"SP 800-133": 1,
"SP 800-135": 2,
"SP 800-38A": 1,
"SP 800-38F": 2,
"SP 800-67": 1,
"SP 800-90": 1,
"SP 800-90A": 3
},
"RFC": {
"RFC 2865": 1,
"RFC 4254": 1,
"RFC 4303": 1,
"RFC 4511": 1,
"RFC 5246": 1,
"RFC 6379": 1
},
"X509": {
"X.509": 3
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 4,
"AES-128": 7,
"AES-256": 10
},
"RC": {
"RC4": 3
}
},
"DES": {
"3DES": {
"Triple-DES": 7
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 6,
"HMAC-SHA-256": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_AES_128_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_SHA": 1,
"TLS_RSA_WITH_AES_128_SHA": 1,
"TLS_RSA_WITH_AES_256_SHA": 1,
"TLS_RSA_WITH_DES_CBC_SHA": 1,
"TLS_RSA_WITH_NULL_MD5": 1,
"TLS_RSA_WITH_NULL_SHA": 1,
"TLS_RSA_WITH_RC4_128_MD5": 1,
"TLS_RSA_WITH_RC4_128_SHA": 1
}
},
"vendor": {
"Broadcom": {
"Broadcom": 1
},
"Huawei": {
"Huawei": 40,
"Huawei Technologies Co": 38
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#3627",
"AES#4400",
"ECDSA#1057",
"RSA#2380",
"DSA#1175",
"KTS#2924",
"DRBG#1418",
"HMAC#2924",
"Triple-DES#2372",
"CVL#1107",
"KTS#2372"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1175",
"#2924",
"#2380",
"#1418",
"#2372",
"#4400",
"#3627",
"#1057"
]
},
"policy_metadata": {
"/Author": "rshelby",
"/CreationDate": "D:20170721104923-07\u002700\u0027",
"/Creator": "PScript5.dll Version 5.2.2",
"/ModDate": "D:20170721110449-07\u002700\u0027",
"/Producer": "Acrobat Distiller 11.0 (Windows)",
"/Title": "Microsoft Word - 418h - JN3871_Huawei_5720_EI_Series_Switch_Security_Policy.doc",
"pdf_file_size_bytes": 1516582,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 36
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "9b795da18dfe8fef5f50939e84b0b044522ae35bd902a2ccbc3a72385e8b757f",
"source_hash": "d867585ad449e7194f57d8612943be43d28c256011bea645203521659053a367",
"txt_hash": "ff4a521c5b0e04a29d24973757fab03e4f550c0868ae892b967c220724eb839c"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocol SNMP shall not be used when operated in FIPS mode.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertJuly2017.pdf",
"date_sunset": null,
"description": "The S5720 series Ethernet switches are next-generation energy-saving switches developed by Huawei to meet the demand for high-bandwidth access and Ethernet multi-service aggregation. Based on cutting-edge hardware and Huawei Versatile Routing Platform (VRP) software, the S5720 provides a large switching capacity, high reliability (double power slots and hardware Ethernet OAM), and high-density GE ports to accommodate 10 Gbit/s upstream transmissions. The S5720 is available in a lite (LI) series, a standard (SI) series, an enhanced (EI) series, and a hyper (HI) series.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "V200R010C00SPC900B900",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "S5720-36C-EI-28S-AC P/N 02359503 Version M.2, S5720-36C-EI-AC P/N 02359562 Version M.2, S5720-56C-EI-AC P/N 02359504 Version K.2, S5720-36C-PWR-EI-AC P/N 02359573 Version L.3 and S5720-56C-PWR-EI-AC P/N 02359576 Version L.2 all with Tamper Seals P/N 4057-113016 and External Baffle P/N 99089JEB",
"level": 2,
"mentioned_certs": {},
"module_name": "Huawei S5720-EI Series Switches",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-07-27",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Huawei Technologies Co., Ltd.",
"vendor_url": "http://www.huawei.com"
}
}